=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2009-05-11 01:35:32 +0000
+++ drizzled/field.cc	2009-05-15 01:47:27 +0000
@@ -1335,7 +1335,6 @@
   @param fld_change            Field change
   @param fld_interval_list     Interval list (if any)
   @param fld_charset           Field charset
-  @param fld_vcol_info         Virtual column data
 
   @retval
     false on success

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-05-11 01:35:32 +0000
+++ drizzled/field.h	2009-05-15 01:47:27 +0000
@@ -43,7 +43,6 @@
 class Send_field;
 class Protocol;
 class Create_field;
-class virtual_column_info;
 
 class TableShare;
 

=== modified file 'drizzled/function/additive_op.h'
--- drizzled/function/additive_op.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/additive_op.h	2009-05-15 01:47:27 +0000
@@ -28,9 +28,6 @@
 public:
   Item_func_additive_op(Item *a,Item *b) :Item_num_op(a,b) {}
   void result_precision();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
-
 };
 
 

=== modified file 'drizzled/function/benchmark.h'
--- drizzled/function/benchmark.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/benchmark.h	2009-05-15 01:47:27 +0000
@@ -33,8 +33,6 @@
   const char *func_name() const { return "benchmark"; }
   void fix_length_and_dec() { max_length=1; maybe_null=0; }
   virtual void print(String *str, enum_query_type query_type);
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_BENCHMARK_H */

=== modified file 'drizzled/function/connection_id.h'
--- drizzled/function/connection_id.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/connection_id.h	2009-05-15 01:47:27 +0000
@@ -33,8 +33,6 @@
   void fix_length_and_dec();
   bool fix_fields(Session *session, Item **ref);
   int64_t val_int() { assert(fixed == 1); return value; }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_CONNECTION_ID_H */

=== modified file 'drizzled/function/found_rows.h'
--- drizzled/function/found_rows.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/found_rows.h	2009-05-15 01:47:27 +0000
@@ -30,8 +30,6 @@
   int64_t val_int();
   const char *func_name() const { return "found_rows"; }
   void fix_length_and_dec() { decimals= 0; maybe_null=0; }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_FOUND_ROWS_H */

=== modified file 'drizzled/function/last_insert.h'
--- drizzled/function/last_insert.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/last_insert.h	2009-05-15 01:47:27 +0000
@@ -36,8 +36,6 @@
       max_length= args[0]->max_length;
   }
   bool fix_fields(Session *session, Item **ref);
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_LAST_INSERT_H */

=== modified file 'drizzled/function/math/abs.h'
--- drizzled/function/math/abs.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/abs.h	2009-05-15 01:47:27 +0000
@@ -32,9 +32,6 @@
   my_decimal *decimal_op(my_decimal *);
   const char *func_name() const { return "abs"; }
   void fix_length_and_dec();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
-
 };
 
 #endif /* DRIZZLED_FUNCTION_MATH_ABS_H */

=== modified file 'drizzled/function/math/divide.h'
--- drizzled/function/math/divide.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/divide.h	2009-05-15 01:47:27 +0000
@@ -34,9 +34,6 @@
   const char *func_name() const { return "/"; }
   void fix_length_and_dec();
   void result_precision();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
-
 };
 
 

=== modified file 'drizzled/function/math/floor.h'
--- drizzled/function/math/floor.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/floor.h	2009-05-15 01:47:27 +0000
@@ -31,8 +31,6 @@
   int64_t int_op();
   double real_op();
   my_decimal *decimal_op(my_decimal *);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_FUNCTION_MATH_FLOOR_H */

=== modified file 'drizzled/function/math/mod.h'
--- drizzled/function/math/mod.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/mod.h	2009-05-15 01:47:27 +0000
@@ -33,9 +33,6 @@
   const char *func_name() const { return "%"; }
   void result_precision();
   void fix_length_and_dec();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
-
 };
 
 #endif /* DRIZZLED_FUNCTION_MATH_MOD_H */

=== modified file 'drizzled/function/math/multiply.h'
--- drizzled/function/math/multiply.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/multiply.h	2009-05-15 01:47:27 +0000
@@ -32,9 +32,6 @@
   double real_op();
   my_decimal *decimal_op(my_decimal *);
   void result_precision();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
-
 };
 
 #endif /* DRIZZLED_FUNCTION_MATH_MULTIPLY_H */

=== modified file 'drizzled/function/math/neg.h'
--- drizzled/function/math/neg.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/neg.h	2009-05-15 01:47:27 +0000
@@ -35,8 +35,6 @@
   void fix_length_and_dec();
   void fix_num_length_and_dec();
   uint32_t decimal_precision() const { return args[0]->decimal_precision(); }
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_FUNCTION_MATH_NEG_H */

=== modified file 'drizzled/function/math/rand.h'
--- drizzled/function/math/rand.h	2009-04-04 00:39:50 +0000
+++ drizzled/function/math/rand.h	2009-05-15 01:47:27 +0000
@@ -39,8 +39,6 @@
   bool const_item() const { return 0; }
   void update_used_tables();
   bool fix_fields(Session *session, Item **ref);
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 private:
   void seed_random (Item * val);
 };

=== modified file 'drizzled/function/row_count.h'
--- drizzled/function/row_count.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/row_count.h	2009-05-15 01:47:27 +0000
@@ -30,8 +30,6 @@
   int64_t val_int();
   const char *func_name() const { return "row_count"; }
   void fix_length_and_dec() { decimals= 0; maybe_null=0; }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 

=== modified file 'drizzled/function/str/load_file.h'
--- drizzled/function/str/load_file.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/str/load_file.h	2009-05-15 01:47:27 +0000
@@ -33,8 +33,6 @@
     maybe_null=1;
     max_length=MAX_BLOB_WIDTH;
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_STR_LOAD_FILE_H */

=== modified file 'drizzled/function/str/sysconst.h'
--- drizzled/function/str/sysconst.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/str/sysconst.h	2009-05-15 01:47:27 +0000
@@ -34,8 +34,6 @@
     call
   */
   virtual const char *fully_qualified_func_name() const = 0;
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_STR_SYSCONST_H */

=== modified file 'drizzled/function/str/uuid.h'
--- drizzled/function/str/uuid.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/str/uuid.h	2009-05-15 01:47:27 +0000
@@ -38,8 +38,6 @@
   }
   const char *func_name() const{ return "uuid"; }
   String *val_str(String *);
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_STR_UUID_H */

=== modified file 'drizzled/function/str/weight_string.h'
--- drizzled/function/str/weight_string.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/str/weight_string.h	2009-05-15 01:47:27 +0000
@@ -33,12 +33,6 @@
   const char *func_name() const { return "weight_string"; }
   String *val_str(String *);
   void fix_length_and_dec();
-  /*
-    TODO: Currently this Item is not allowed for virtual columns
-    only due to a bug in generating virtual column value.
-  */
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_STR_WEIGHT_STRING_H */

=== modified file 'drizzled/function/time/curdate.h'
--- drizzled/function/time/curdate.h	2009-03-01 03:08:20 +0000
+++ drizzled/function/time/curdate.h	2009-05-15 01:47:27 +0000
@@ -48,8 +48,6 @@
    */
   bool get_temporal(drizzled::Date &temporal);
   virtual void store_now_in_TIME(DRIZZLE_TIME *now_time)=0;
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 class Item_func_curdate_local :public Item_func_curdate

=== modified file 'drizzled/function/time/dayofmonth.h'
--- drizzled/function/time/dayofmonth.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/dayofmonth.h	2009-05-15 01:47:27 +0000
@@ -36,8 +36,6 @@
     max_length=2*MY_CHARSET_BIN_MB_MAXLEN;
     maybe_null=1;
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_FUNCTION_TIME_DAYOFMONTH_H */

=== modified file 'drizzled/function/time/from_days.h'
--- drizzled/function/time/from_days.h	2009-02-14 19:02:06 +0000
+++ drizzled/function/time/from_days.h	2009-05-15 01:47:27 +0000
@@ -49,8 +49,6 @@
    * @param Reference to a drizzled::Date to populate
    */
   bool get_temporal(drizzled::Date &temporal);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 

=== modified file 'drizzled/function/time/month.h'
--- drizzled/function/time/month.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/month.h	2009-05-15 01:47:27 +0000
@@ -43,8 +43,6 @@
     max_length=2*MY_CHARSET_BIN_MB_MAXLEN;
     maybe_null=1;
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 class Item_func_monthname :public Item_func_month

=== modified file 'drizzled/function/time/now.h'
--- drizzled/function/time/now.h	2009-03-01 03:08:20 +0000
+++ drizzled/function/time/now.h	2009-05-15 01:47:27 +0000
@@ -54,8 +54,6 @@
   bool get_temporal(drizzled::DateTime &temporal);
   bool get_date(DRIZZLE_TIME *res, uint32_t fuzzy_date);
   virtual void store_now_in_TIME(DRIZZLE_TIME *now_time)=0;
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 class Item_func_now_local :public Item_func_now

=== modified file 'drizzled/function/time/to_days.h'
--- drizzled/function/time/to_days.h	2009-05-06 06:19:18 +0000
+++ drizzled/function/time/to_days.h	2009-05-15 01:47:27 +0000
@@ -35,8 +35,6 @@
     maybe_null=1;
   }
   int64_t val_int_endpoint(bool left_endp, bool *incl_endp);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_FUNCTION_TIME_TO_DAYS_H */

=== modified file 'drizzled/function/time/unix_timestamp.h'
--- drizzled/function/time/unix_timestamp.h	2009-01-23 06:12:21 +0000
+++ drizzled/function/time/unix_timestamp.h	2009-05-15 01:47:27 +0000
@@ -35,8 +35,6 @@
     decimals=0;
     max_length=10*MY_CHARSET_BIN_MB_MAXLEN;
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_FUNCTION_TIME_UNIX_TIMESTAMP_H */

=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2009-05-09 22:26:52 +0000
+++ drizzled/item.cc	2009-05-15 01:47:27 +0000
@@ -753,12 +753,6 @@
 }
 
 
-bool Item::check_vcol_func_processor(unsigned char *)
-{
-  return true;
-}
-
-
 Item *Item::equal_fields_propagator(unsigned char *)
 {
   return this;

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2009-05-09 22:26:52 +0000
+++ drizzled/item.h	2009-05-15 01:47:27 +0000
@@ -41,7 +41,6 @@
 class Field;
 
 void dummy_error_processor(Session *session, void *data);
-void view_error_processor(Session *session, void *data);
 
 
 /*************************************************************************/
@@ -510,16 +509,6 @@
   virtual bool register_field_in_read_map(unsigned char *arg);
   virtual bool subst_argument_checker(unsigned char **arg);
 
-  /*
-    Check if an expression/function is allowed for a virtual column
-    SYNOPSIS
-      check_vcol_func_processor()
-      arg is just ignored
-    RETURN VALUE
-      TRUE                           Function not accepted
-      FALSE                          Function accepted
-  */
-  virtual bool check_vcol_func_processor(unsigned char *arg);
   virtual Item *equal_fields_propagator(unsigned char * arg);
   virtual bool set_no_const_sub(unsigned char *arg);
   virtual Item *replace_equal_field(unsigned char * arg);

=== modified file 'drizzled/item/bin_string.h'
--- drizzled/item/bin_string.h	2008-12-09 19:33:58 +0000
+++ drizzled/item/bin_string.h	2009-05-15 01:47:27 +0000
@@ -50,8 +50,6 @@
     save_in_field(result_field, no_conversions);
   }
   void cleanup();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_BIN_STRING_H */

=== modified file 'drizzled/item/decimal.h'
--- drizzled/item/decimal.h	2008-12-09 01:48:03 +0000
+++ drizzled/item/decimal.h	2009-05-15 01:47:27 +0000
@@ -60,8 +60,6 @@
   uint32_t decimal_precision() const { return decimal_value.precision(); }
   bool eq(const Item *, bool binary_cmp) const;
   void set_decimal_value(my_decimal *value_par);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_DECIMAL_H */

=== modified file 'drizzled/item/field.h'
--- drizzled/item/field.h	2009-05-09 22:26:52 +0000
+++ drizzled/item/field.h	2009-05-15 01:47:27 +0000
@@ -91,8 +91,6 @@
   bool collect_item_field_processor(unsigned char * arg);
   bool find_item_in_field_list_processor(unsigned char *arg);
   bool register_field_in_read_map(unsigned char *arg);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
   void cleanup();
   bool result_as_int64_t();
   Item_equal *find_item_equal(COND_EQUAL *cond_equal);

=== modified file 'drizzled/item/float.h'
--- drizzled/item/float.h	2008-12-15 21:42:00 +0000
+++ drizzled/item/float.h	2009-05-15 01:47:27 +0000
@@ -72,8 +72,6 @@
   }
 
   Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_FLOAT_H */

=== modified file 'drizzled/item/hex_string.h'
--- drizzled/item/hex_string.h	2009-01-01 02:10:50 +0000
+++ drizzled/item/hex_string.h	2009-05-15 01:47:27 +0000
@@ -44,8 +44,6 @@
   virtual void print(String *str, enum_query_type query_type);
   bool eq(const Item *item, bool binary_cmp) const;
   virtual Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 

=== modified file 'drizzled/item/insert_value.h'
--- drizzled/item/insert_value.h	2008-12-10 18:29:41 +0000
+++ drizzled/item/insert_value.h	2009-05-15 01:47:27 +0000
@@ -56,8 +56,6 @@
     return arg->walk(processor, walk_subquery, args) ||
             (this->*processor)(args);
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_ITEM_INSERT_VALUE_H */

=== modified file 'drizzled/item/int.h'
--- drizzled/item/int.h	2009-02-21 00:18:15 +0000
+++ drizzled/item/int.h	2009-05-15 01:47:27 +0000
@@ -53,8 +53,6 @@
   uint32_t decimal_precision() const
   { return (uint32_t)(max_length - test(value < 0)); }
   bool eq(const Item *, bool binary_cmp) const;
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_INT_H */

=== modified file 'drizzled/item/null.h'
--- drizzled/item/null.h	2008-12-10 07:43:50 +0000
+++ drizzled/item/null.h	2009-05-15 01:47:27 +0000
@@ -50,8 +50,6 @@
   virtual void print(String *str, enum_query_type);
 
   Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 class Item_null_result :public Item_null
@@ -64,8 +62,6 @@
   {
     save_in_field(result_field, no_conversions);
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_ITEM_NULL_H */

=== modified file 'drizzled/item/row.h'
--- drizzled/item/row.h	2009-02-07 22:02:41 +0000
+++ drizzled/item/row.h	2009-05-15 01:47:27 +0000
@@ -87,8 +87,6 @@
   bool check_cols(uint32_t c);
   bool null_inside() { return with_null; };
   void bring_value();
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_ROW_H */

=== modified file 'drizzled/item/string.h'
--- drizzled/item/string.h	2009-01-01 03:07:33 +0000
+++ drizzled/item/string.h	2009-05-15 01:47:27 +0000
@@ -139,8 +139,6 @@
   {
     m_cs_specified= cs_specified;
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 
 private:
   bool m_cs_specified;
@@ -162,8 +160,6 @@
   {
     str->append(func_name);
   }
-  bool check_vcol_func_processor(unsigned char *)
-  { return true; }
 };
 
 #endif /* DRIZZLED_ITEM_ITEM_STRING_H */

=== modified file 'drizzled/item/uint.h'
--- drizzled/item/uint.h	2008-12-12 17:59:50 +0000
+++ drizzled/item/uint.h	2009-05-15 01:47:27 +0000
@@ -36,8 +36,6 @@
   virtual void print(String *str, enum_query_type query_type);
   Item_num *neg ();
   uint32_t decimal_precision() const { return max_length; }
-  bool check_vcol_func_processor(unsigned char *)
-  { return false; }
 };
 
 #endif /* DRIZZLED_ITEM_UINT_H */

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-05-14 20:07:56 +0000
+++ drizzled/sql_base.h	2009-05-15 01:47:27 +0000
@@ -40,7 +40,7 @@
 bool add_field_to_list(Session *session, LEX_STRING *field_name, enum enum_field_types type,
 		       char *length, char *decimal,
 		       uint32_t type_modifier,
-                       enum column_format_type column_format,
+           enum column_format_type column_format,
 		       Item *default_value, Item *on_update_value,
 		       LEX_STRING *comment,
 		       char *change, List<String> *interval_list,
@@ -50,8 +50,7 @@
 				uint32_t type_modifier,
 				Item *default_value, Item *on_update_value,
 				LEX_STRING *comment, char *change,
-				List<String> *interval_list, CHARSET_INFO *cs,
-				virtual_column_info *vcol_info);
+				List<String> *interval_list, CHARSET_INFO *cs);
 void store_position_for_column(const char *name);
 bool add_to_list(Session *session, SQL_LIST &list,Item *group,bool asc);
 bool push_new_name_resolution_context(Session *session,

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2009-05-15 00:34:11 +0000
+++ drizzled/sql_lex.cc	2009-05-15 01:47:27 +0000
@@ -266,7 +266,6 @@
   lex->reset_query_tables_list(false);
   lex->expr_allows_subselect= true;
   lex->use_only_table_context= false;
-  lex->parse_vcol_expr= false;
 
   lex->name.str= 0;
   lex->name.length= 0;
@@ -1985,7 +1984,6 @@
   :result(0), yacc_yyss(0), yacc_yyvs(0),
    sql_command(SQLCOM_END), option_type(OPT_DEFAULT), is_lex_started(0)
 {
-
   reset_query_tables_list(true);
 }
 

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2009-05-15 00:34:11 +0000
+++ drizzled/sql_lex.h	2009-05-15 01:47:27 +0000
@@ -38,7 +38,6 @@
 #include "drizzled/index_hint.h"
 
 class select_result_interceptor;
-class virtual_column_info;
 
 /* YACC and LEX Definitions */
 
@@ -481,7 +480,6 @@
   /* index in the select list of the expression currently being fixed */
   int cur_pos_in_select_list;
 
-  List<Function_builder>     udf_list;                  /* udf function calls stack */
   /*
     This is a copy of the original JOIN USING list that comes from
     the parser. The parser :
@@ -1211,7 +1209,6 @@
   XID *xid;
   unsigned char* yacc_yyss, *yacc_yyvs;
   Session *session;
-  virtual_column_info *vcol_info;
 
   const CHARSET_INFO *charset;
   bool text_string_is_7bit;
@@ -1268,14 +1265,6 @@
     syntax error back.
   */
   bool expr_allows_subselect;
-  /*
-    A special command "PARSE_VCOL_EXPR" is defined for the parser
-    to translate an expression statement of a virtual column \
-    (stored in the *.frm file as a string) into an Item object.
-    The following flag is used to prevent other applications to use
-    this command.
-  */
-  bool parse_vcol_expr;
 
   thr_lock_type lock_option;
   enum enum_duplicates duplicates;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-05-14 15:22:46 +0000
+++ drizzled/sql_yacc.yy	2009-05-15 01:47:27 +0000
@@ -1586,7 +1586,6 @@
             lex->comment=null_lex_str;
             lex->charset=NULL;
             lex->column_format= COLUMN_FORMAT_TYPE_DEFAULT;
-            lex->vcol_info= NULL;
           }
           field_def
           {
@@ -2194,7 +2193,6 @@
             lex->charset= NULL;
             lex->alter_info.flags|= ALTER_CHANGE_COLUMN;
             lex->column_format= COLUMN_FORMAT_TYPE_DEFAULT;
-            lex->vcol_info= NULL;
           }
           field_def
           {

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-05-14 23:59:50 +0000
+++ drizzled/table.cc	2009-05-15 01:47:27 +0000
@@ -45,9 +45,6 @@
 
 using namespace std;
 
-/* Keyword for parsing virtual column functions */
-LEX_STRING parse_vcol_keyword= { C_STRING_WITH_LEN("PARSE_VCOL_EXPR ") };
-
 /* Functions defined in this file */
 
 void open_table_error(TableShare *share, int error, int db_errno,

